Subject: Re: NAPI, e100, and system performance problem

From: jamal <[email-masked]>
Date: Fri, 22 Apr 2005 23:04:25 -0400

On Fri, 2005-22-04 at 16:43 -0700, David S. Miller wrote:

> With the dynamic schemes comes a new issue, how quickly to respond
> to changes in traffic patterns.

Unfortunately, dynamic adjustment of mitigation parameters - in my
experiments at least (pre-NAPI) - show stability is hard to achieve.
In fact the early tulip driver had about 8 levels of mitigation (that i
put in and later taken out by Robert due to the instability).

The one thing that has been tossed around is to modify the state machine
such that the netdev is not taken out of the poll list for at least one
more poll round or a timeout period. I did try this a while back and the
extra poll did consume extra CPU - it probably isnt as bad as done by
extra PIO(s); 

I still think static mitigation + NAPI should do it.

cheers,
jamal